<?php
/* ************************************************************************** *
 *																										*
 * lib_filebrowser.php v3.1 by Slodave, maj - avgust 2008,							*
 *	http://www.zabec.net																			*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka, skrbi za delo z datotekami v folderju										*
 * ************************************************************************** */

/* Generiranje okvirčka za brskanje po datotekah										*
 * ************************************************************************** */
if($_POST['action'] == "file_browser" AND $_POST['id']) {
	//generiramo template
	$tpl = new TemplatePower($ajax."templates/".$settings['template']."/moduli/filebrowser.tpl");
	$tpl->prepare();
	$tpl->assignGlobal("template_dir", $ajax."/templates/".$settings['template']);

	//generiramo spremenljivke za jezik
	require($ajax.'sys/lib_language.php');

	//class za delo z datotekami iz lib_file.php
	$fh = new fileHandling();

	$pot = $ajax.$_SESSION[$clean['id']."_".$_SESSION['editor_stopnja']."_"."browserpath"]."/";
	$tpl->assign("id", $clean['id']);

	$dh = opendir($pot);
	$i = 0;
	//listamo čez datoteke v določeni mapi
	while (($file = readdir($dh)) !== false) {
	    if($file != "." AND $file != "..") {
			$tpl->newBlock("datoteka");
			$datoteka = explode(".",$file);
			$tpl->assign("datoteka", $datoteka[0]);
			$tpl->assign("tip", $datoteka[1]);
			$tpl->assign("velikost", $fh->velikost($pot.$file));
	    }
	}
	closedir($dh);
	//izpišemo vsebino v brskalnik (prek ajaxa)
	$tpl->printToScreen();
}

/* Shranjevanje izbrane datoteke v galerijo Itema										*
 * ************************************************************************** */
elseif($_POST['action'] == "file_browser_save" AND $_POST['datoteka']) {
	$clean['datoteka'] = basename($_POST['datoteka']);

	//preverimo če je nastavljena pot do datoteke za brskanje
	if(file_exists($ajax.$_SESSION[$clean['id']."_".$_SESSION['editor_stopnja']."_"."browserpath"]."/".$clean['datoteka']))	{
		$db->query("INSERT INTO ".$mod_settings['galerija_tabela']." (item_id, video) VALUES ('$clean[id]', '$clean[datoteka]')");

		if($mod_settings['galerija_vrstni_red']) {
			vrstni_red($result->insertID(), "dodaj", "galerija");
		}
		unset($_SESSION[$clean['id']."_".$_SESSION['editor_stopnja']."_"."browserpath"]);
	}
	else {
		napaka("Datoteka iz file browserja, ki ste jo želili shraniti ni veljavna!");
	}
}



?>